# $Revision: 1.27 $, $Date: 2009/11/12 09:30:53 $
Summary:	X Composite extension client library
Summary(pl.UTF-8):	Biblioteka kliencka rozszerzenia X Composite
Name:		xorg-lib-libXcomposite
Version:	0.4.1
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXcomposite-%{version}.tar.bz2
# Source0-md5:	0f1367f57fdf5df17a8dd71d0fa68248
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-proto-compositeproto-devel >= 0.4
BuildRequires:	xorg-util-util-macros >= 1.3
Obsoletes:	libXcomposite
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Composite extension client library.

%description -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

%package devel
Summary:	Header files for libXcomposite library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXcomposite
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-proto-compositeproto-devel >= 0.4
Obsoletes:	libXcomposite-devel

%description devel
X Composite extension client library.

This package contains the header files needed to develop programs that
use libXcomposite.

%description devel -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXcomposite.

%package static
Summary:	Static libXcomposite library
Summary(pl.UTF-8):	Biblioteka statyczna libXcomposite
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXcomposite-static

%description static
X Composite extension client library.

This package contains the static libXcomposite library.

%description static -l pl.UTF-8
Biblioteka kliencka rozszerzenia X Composite.

Pakiet zawiera statyczną bibliotekę libXcomposite.

%prep
%setup -q -n libXcomposite-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXcomposite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXcomposite.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXcomposite.so
%{_libdir}/libXcomposite.la
%{_includedir}/X11/extensions/Xcomposite.h
%{_pkgconfigdir}/xcomposite.pc
%{_mandir}/man3/XComposite*.3x*
%{_mandir}/man3/Xcomposite.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXcomposite.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXcomposite.spec,v $
Revision 1.27  2009/11/12 09:30:53  patrys
- rebuild with new libpthread-stubs
- rel 2

Revision 1.26  2009/10/08 21:58:18  qboosh
- util-macros version
- ghost soname symlink
- more verbose files, added README to doc

Revision 1.25  2009/10/08 08:32:23  arekm
- up to 0.4.1

Revision 1.24  2008/11/07 13:03:39  pluto
- release 2 for rebuild w/o libxcb-xlib deps.

Revision 1.23  2007-07-05 06:00:33  qboosh
- proto version update

Revision 1.22  2007/07/04 20:16:00  arekm
- up to 0.4.0

Revision 1.21  2007/05/03 07:52:34  arekm
- up to 0.3.2 (no code changes; man pages added)

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.17  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.16  2006/10/14 14:56:28  qboosh
- updated to 0.3.1

Revision 1.15  2006/05/26 15:53:22  qboosh
- needs compositeproto 0.3

Revision 1.14  2006/04/03 15:10:56  arekm
- updated to 0.3

Revision 1.13  2006/03/08 22:00:28  qboosh
- release 1

Revision 1.12  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 12:16:58  qboosh
- 0.2.2.2 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 10:49:19  qboosh
- 0.2.2.1 (X11R7.0-RC3)

Revision 1.8  2005/11/19 18:32:51  qboosh
- 0.2.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 19:48:32  qboosh
- 0.2.1 (X11R7.0-RC1)
- more docs, added version to compositeproto dep

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.13  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.12  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.11  2004/05/22 22:06:43  qboosh
- unifications, removed empty files and bogus README from doc
- -devel R: compositeext

Revision 1.10  2004/05/13 20:31:33  ankry
- spaces -> tabs, other cosmetics

Revision 1.9  2004/03/12 07:48:10  ankry
- pl

Revision 1.8  2004/03/10 16:03:13  adgor
- Reverted

Revision 1.7  2004/03/10 16:00:17  adgor
- More noautoreqdeps

Revision 1.6  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.5  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.4  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.3  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.2  2004/03/03 11:48:11  adgor
- Changelog cutting

Revision 1.1  2004/03/03 11:33:48  adgor
- Initial
